import time

from selenium import webdriver
from selenium.webdriver.common.by import By

from BasePage.BasePage import BasePage
from Pages.login_page import LoginPage
from Util.Util import DriverUtils

"""
企业知识库--页面操作
"""

class BusinessKnowledgePage(BasePage):

    def __init__(self):
        super().__init__()
        self.ai_editing = (By.XPATH, '//*[@id="App"]/div/header/div[2]/div[2]')  # AI编辑工作室按钮
        self.business_knowledge = (By.XPATH, '//*[@id="App"]/div/div/div[2]/ul/li[3]/div/div/span')  # 企业知识库按钮
        self.quit = (By.XPATH,'//*[@id="App"]/div/section/div[1]/div[1]/div[1]/button/span')  # 返回
        self.newFolder = (By.XPATH,'//*[@id="App"]/div/section/div[1]/div[2]/div/div/div[1]/button[2]/span') # 新建文件夹
        self.folderName = (By.XPATH,'//*[@id="folderName"]')  # 输入文件夹名
    # 进入AI编辑工作室
    def entranceAi(self):
        self.find_el(self.ai_editing).click()
    # 进入企业知识库
    def entranceBusinessKnowledge(self):
        self.find_el(self.business_knowledge).click()
    # 返回/首页 退出
    def quitBusinessKnowledge(self):
        self.find_el(self.quit).click()

    """
    文件夹管理
    """

    # 新建文件夹操作
    def newFolderControl(self):
        self.find_el(self.newFolder).click()
        self.input_text(self.folderName,"测试文件夹")


    """
    搜索文档
    """

    """
    网站订阅
    """

    """
    上传文档
    """

    """
    粘贴文本
    """

    """
    导入网站
    """

    """
    文档列表操作
    """

    """
    文档对话
    """

    """
    文件夹对话
    """




if __name__ == '__main__':
    driver = DriverUtils.get_web_driver()
    driver.get('https://rays7.raysgo.com/login')
    time.sleep(1)
    LoginPage().login_username("17373027967", "3149390154Li")
    time.sleep(1)
    businessKnowledge = BusinessKnowledgePage()
    businessKnowledge.entranceAi()
    time.sleep(1)
    businessKnowledge.entranceBusinessKnowledge()
    businessKnowledge.newFolderControl()
    time.sleep(2)
